#
# spec file for package libfguid
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libfguid
%define lname	libfguid1
Version:        20240415
Release:        1.3
Summary:        A library for GUID/UUID data types
License:        LGPL-3.0-or-later
Group:          Development/Libraries/C and C++
URL:            https://github.com/libyal/libfguid
Source:         https://github.com/libyal/libfguid/releases/download/%version/libfguid-alpha-%version.tar.gz
Source2:        https://github.com/libyal/libfguid/releases/download/%version/libfguid-alpha-%version.tar.gz.asc
Source9:        %name.keyring
BuildRequires:  c_compiler
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcerror) >= 20240413
# Various notes: https://en.opensuse.org/libyal

%description
A library for GUID/UUID data types. Part of the libyal family of libraries.

%package -n %lname
Summary:        A library for GUID/UUID data types
Group:          System/Libraries

%description -n %lname
A library for GUID/UUID data types. Part of the libyal family of libraries.

%package devel
Summary:        Development files for libfguid, a GUID/UUID data type library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A library for GUID/UUID data types.

This subpackage contains libraries and header files for developing
applications that want to make use of libfguid.

%prep
%autosetup -p1

%build
echo "V_%version { global: *; };" >v.sym
%configure --disable-static LDFLAGS="-Wl,--version-script=$PWD/v.sym"
grep '  local' config.log && exit 1
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%ldconfig_scriptlets -n %lname

%files -n %lname
%license COPYING*
%_libdir/libfguid.so.1*

%files devel
%_includedir/libfguid*
%_libdir/libfguid.so
%_libdir/pkgconfig/libfguid.pc
%_mandir/man3/libfguid.3*

%changelog
* Mon Apr 15 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240415
  * No changelog was provided
* Tue Jan 16 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 20240116
  * No user-visible changes
* Sat Nov 26 2022 Jan Engelhardt <jengelh@inai.de>
- Delete system-libs.patch (not needed - system libs are
  autodetected)
* Mon Aug  8 2022 Jan Engelhardt <jengelh@inai.de>
- Add forced symvers
* Thu Jan 13 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 20220113
  * No changes, version bump only.
* Wed May 12 2021 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 20210415 (c8bed427)
  * No changelog was provided
- Add system-libs.patch
* Mon Apr 15 2019 Greg Freemyer <Greg.Freemyer@gmail.com>
- update to v0~20180724
  * 2018 update - minimal changes
* Sun Oct  1 2017 Greg.Freemyer@gmail.com
- update to v0~20170112
  * 2016 update
  * worked on tests
  * improved Windows packaging
* Thu Jan  8 2015 Greg.Freemyer@gmail.com
- update to v0~20150104
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcstring from OBS, not internal version
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to 0~20140105
  * 2014 update
  * updated dependencies
* Thu Nov 14 2013 Greg.Freemyer@gmail.com
-  update to 0~20130904
  * worked on tests
  * definitions fix
  * updated dependencies
  * textual changes
- converted to gz compression to simplify updating
- remove buildrequires xz
* Tue Jul 30 2013 Greg.Freemyer@gmail.com
- update comments in specfile
* Mon Apr 22 2013 Greg.Freemyer@gmail.com
- ran spec-cleaner
* Thu Apr  4 2013 jengelh@inai.de
- Initial package (version 0~20130317) for build.opensuse.org
